Search documentation of ash

# Ash.Error.Changes.InvalidChanges exception (ash v3.4.71)

View Source

Used when a change is provided that covers multiple attributes/relationships

# Summary

## Functions

exception(msg)

Create an `Elixir.Ash.Error.Changes.InvalidChanges` without raising it.

# Functions

# exception(msg)

    @spec exception(opts :: Keyword.t()) :: %Ash.Error.Changes.InvalidChanges{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      fields: term(),
      message: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      validation: term(),
      value: term(),
      vars: term()
    }

Create an `Elixir.Ash.Error.Changes.InvalidChanges` without raising it.

## Keys

- :fields
- :message
- :validation
- :value